Skip to main content
GET
/
v1
/
transit
/
payment
/
{payment_id}
Fetch a Payment
curl --request GET \
  --url https://sandbox.api.fin.com/v1/transit/payment/{payment_id} \
  --header 'Authorization: Bearer <token>'
const url = 'https://sandbox.api.fin.com/v1/transit/payment/{payment_id}';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));
HttpResponse<String> response = Unirest.get("https://sandbox.api.fin.com/v1/transit/payment/{payment_id}")
.header("Authorization", "Bearer <token>")
.asString();
import requests

url = "https://sandbox.api.fin.com/v1/transit/payment/{payment_id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://sandbox.api.fin.com/v1/transit/payment/{payment_id}"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("Authorization", "Bearer <token>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
{
  "data": {
    "payment_id": "FIN_PROVIDED_UUID",
    "integration_type": "BYBIT",
    "status": "PAY_INIT",
    "create_time": 1740748353,
    "payment_info": {
      "pay_id": "01JN6AZVEMAC8H9SED6JES3QH8",
      "merchant_trade_no": "841e4ba2-...-a2a45de7bd00",
      "amount": "100",
      "status": "PAY_INIT",
      "currency": "USDT",
      "currency_type": "crypto",
      "expire_time": 1740751953,
      "payment_time": 0
    },
    "settlement_info": null
  }
}

Payment Status Values

  • PAY_INIT — Payment initialized
  • PAY_PROCESS — Payment is being processed
  • PAY_SUCCESS — Payment completed successfully
  • PAY_FAILED — Payment failed
  • PAY_TIMEOUT — Payment timed out
  • PAY_CANCEL — Payment was cancelled
  • SETTLEMENT_INIT — Settlement process started
  • SETTLEMENT_SUCCESS — Settlement completed successfully
  • SETTLEMENT_HOLD — Transaction on hold due to insufficient rebalancing funds
  • SETTLEMENT_FAILED — Settlement failed after 3 retry attempts
The settlement_info field will be null until PAY_SUCCESS. The payment_time will be 0 until PAY_SUCCESS.

Authorizations

Authorization
string
header
required

Bearer token authentication. Obtain token from Issue a Token endpoint

Path Parameters

payment_id
string<uuid>
required

The unique payment identifier returned from Create Payment

Response

Payment details retrieved successfully

data
object